Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeLicensesResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeLicensesResult

    public class DescribeLicensesResult

extends Object

Constructor Summary
`DescribeLicensesResult()`

Method Summary
`List<License>` | `getLicenses()` Specifies active licenses in use and attached to an Amazon EC2instance.
`void` | `setLicenses(Collection<License> licenses)` Specifies active licenses in use and attached to an Amazon EC2instance.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeLicensesResult` | `withLicenses(Collection<License> licenses)` Specifies active licenses in use and attached to an Amazon EC2instance.
`DescribeLicensesResult` | `withLicenses(License... licenses)` Specifies active licenses in use and attached to an Amazon EC2instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeLicensesResult

    public DescribeLicensesResult()

Method Detail

### getLicenses

    public List<License> getLicenses()

  Specifies active licenses in use and attached to an Amazon EC2instance.

  Returns:
    Specifies active licenses in use and attached to an Amazon EC2instance.

### setLicenses

    public void setLicenses(Collection<License> licenses)

  Specifies active licenses in use and attached to an Amazon EC2instance.

  Parameters:
    `licenses` - Specifies active licenses in use and attached to an Amazon EC2instance.

### withLicenses

    public DescribeLicensesResult withLicenses(License... licenses)

  Specifies active licenses in use and attached to an Amazon EC2instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `licenses` - Specifies active licenses in use and attached to an Amazon EC2instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withLicenses

    public DescribeLicensesResult withLicenses(Collection<License> licenses)

  Specifies active licenses in use and attached to an Amazon EC2instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `licenses` - Specifies active licenses in use and attached to an Amazon EC2instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.